#### ORGKEYLEN

#### Synopsis

    HELP:   (HOST) Key length for the KSDS member in the FLAMFILE
    TYPE:   NUMBER
    SYNTAX: ORGKEYLEN/ORGKEYL=num

#### Description

Specification of key length for key sequential datasets (KSDS); z/OS only.

If a decompression process contains the parameter `ORGKEYLEN` in order to create a key sequential dataset (KSDS), the specification is used to define the length of the used index field.

This parameter is used together with parameter ORGKEYPOS.

Syntax restrictions for FLAMv4 or older:

- `ORGKEYLEN=length`
- `ORGKEYL=length`

Values

- length in bytes, > 0 and < record length

Default

- no default

Valid for

- decompression